Skip to content

getCustomer

READ

Get customer.

POST /api/v1/sales/getCustomer
curl -X POST '<your-host>/api/v1/sales/getCustomer' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "customerId": "string"
  }'
Response
{
  "accountManagerId": "string",
  "assignee": "string",
  "companyId": "string",
  "createdAt": "string",
  "createdBy": "string",
  "currencyCode": "string",
  "customerStatusId": "string",
  "customerTypeId": "string",
  "customFields": "…",
  "defaultCc": [
    "string"
  ],
  "eori": "string",
  "externalId": "…",
  "fax": "string",
  "id": "string",
  "logo": "string",
  "name": "string",
  "orderCount": 0,
  "phone": "string",
  "readableId": "string",
  "salesContactId": "string",
  "status": "string",
  "tags": [
    "string"
  ],
  "taxId": "string",
  "taxPercent": 0,
  "type": "string",
  "updatedAt": "string",
  "updatedBy": "string",
  "vatNumber": "string",
  "website": "string"
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "customerId": {
      "type": "string"
    }
  },
  "required": [
    "customerId"
  ]
}